################################################################################
#
# PROCD
#
################################################################################

PROCD_VERSION:= 2016.07.29

PROCD_SITE = $(TOPDIR)/../../src/3P/procd/builders/cmake
PROCD_SITE_METHOD = local
PROCD_INSTALL_STAGING = YES

PROCD_DEPENDENCIES = libubox json-c ubus

PROCD_CONF = SRC_DIR=$(TOPDIR)/../..

ifeq ($(BR2_PACKAGE_PROCD_DISABLE_INIT),y)
PROCD_CONF_OPTS += -DDISABLE_INIT=ON
endif

PROCD_CONF_ENV = $(PROCD_CONF)
PROCD_MAKE_ENV = $(PROCD_CONF)
PROCD_CONF_OPTS += -DMODULE_PATH=$(TOPDIR)/../../bsp/cmake-modules -DCMAKE_BUILD_TYPE=$(BUILD_TYPE)

$(eval $(cmake-package))
